﻿using DemoCommon.Grid;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid.Renderers;
using Syncfusion.WinForms.GridCommon.ScrollAxis;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Dynamic;
using System.IO;
using System.Windows.Forms;

namespace AddNewRow
{
    /// <summary>
    /// Summary description for Form1.
    /// </summary>
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            sfDataGrid.DataSource = new ViewModel().Orders;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (sfDataGrid.SelectedItem != null)
            {
                var orderInfo = (sfDataGrid.SelectedItem as OrderInfo);
                if (!string.IsNullOrEmpty(orderInfo.Country) &&
                    !string.IsNullOrEmpty(orderInfo.CustomerID) &&
                    !string.IsNullOrEmpty(orderInfo.CustomerName))
                {
                    // You can save the edit value here.
                }
            }
        }
    }

    public class OrderInfo : INotifyPropertyChanged
    {
        string customerId;
        string country;
        string customerName;
        string shippingCity;

        public OrderInfo()
        {

        }

       
        public string CustomerID
        {
            get { return customerId; }
            set { customerId = value; this.OnPropertyChanged("CustomerID"); }
        }

        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; this.OnPropertyChanged("CustomerName"); }
        }

        public string Country
        {
            get { return country; }
            set { country = value; this.OnPropertyChanged("Country"); }
        }

        public string ShipCity
        {
            get { return shippingCity; }
            set { shippingCity = value; this.OnPropertyChanged("ShipCity"); }
        }

        public OrderInfo( string customerName, string country, string customerId, string shipCity)
        {
            this.CustomerName = customerName;
            this.Country = country;
            this.CustomerID = customerId;
            this.ShipCity = shipCity;
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    public class ViewModel
    {
        private ObservableCollection<OrderInfo> orders;
        public ObservableCollection<OrderInfo> Orders
        {
            get { return orders; }
            set { orders = value; }
        }

        public ViewModel()
        {
            orders = new ObservableCollection<OrderInfo>();
            orders.Add(new OrderInfo("Thomas Hardy", "Germany", "ALFKI", "Berlin"));
            orders.Add(new OrderInfo("Laurence Lebihan", "Mexico", "ANATR", "Mexico D.F."));
            orders.Add(new OrderInfo("Antonio Moreno", "Mexico", "ANTON", "Mexico D.F."));
            orders.Add(new OrderInfo("Thomas Hardy", "UK", "AROUT", "London"));
            orders.Add(new OrderInfo("Christina Berglund", "Sweden", "BERGS", "Lula"));
            orders.Add(new OrderInfo("Hanna Moos", "Germany", "BLAUS", "Mannheim"));
            orders.Add(new OrderInfo("Frederique Citeaux", "France", "BLONP", "Strasbourg"));
            orders.Add(new OrderInfo("Martin Sommer", "Spain", "BOLID", "Madrid"));
            orders.Add(new OrderInfo("Laurence Lebihan", "France", "BONAP", "Marseille"));
            orders.Add(new OrderInfo("Elizabeth Lincoln", "Canada", "BOTTM", "Tsawassen"));
        }
    }

}
